#ifndef ENNEMY_H_INCLUDED
#define ENNEMY_H_INCLUDED

/*Description:
Classe abstraite, la classe ennemi est héritée par
tous les ennemis qui peuvent mourir et touchés par le joueur.
*/

#include <SDL/SDL.h>
#include <iostream>
#include "Cliquable.h"
#include "Joueur.h"

class Ennemy : public Cliquable
{
    public:
    Ennemy(Joueur* cible,SDL_Surface* ecran);
    Ennemy(Joueur* cible,SDL_Surface* ecran,int vie);
    void recevoirDegats(int degats);
    void ressuciter();
    bool estVivant();

    protected:
    int m_vie;
    SDL_Surface* m_ecran;
    Joueur* m_cible;
};

#endif // ENNEMY_H_INCLUDED
